pkg-download: silence downloads if make is silent

If doing a silent build (make -s -> QUIET=-q), silence all downloads,
by passing the -q flag downward to backends as well as to check-hash.

Change a printf to use the trace functions.

Signed-off-by: Fabio Porcedda <fabio.porcedda@gmail.com>
Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
This commit is contained in:
Fabio Porcedda 2015-01-02 16:53:40 +01:00 committed by Thomas Petazzoni
parent 50c8b7e947
commit 0b600227b0
2 changed files with 15 additions and 6 deletions

View File

@ -88,6 +88,7 @@ define DOWNLOAD_GIT
$(EXTRA_ENV) $(DL_WRAPPER) -b git \ $(EXTRA_ENV) $(DL_WRAPPER) -b git \
-o $(DL_DIR)/$($(PKG)_SOURCE) \ -o $(DL_DIR)/$($(PKG)_SOURCE) \
-H $(PKGDIR)/$($(PKG)_RAWNAME).hash \ -H $(PKGDIR)/$($(PKG)_RAWNAME).hash \
$(QUIET) \
-- \ -- \
$($(PKG)_SITE) \ $($(PKG)_SITE) \
$($(PKG)_DL_VERSION) \ $($(PKG)_DL_VERSION) \
@ -109,6 +110,7 @@ define DOWNLOAD_BZR
$(EXTRA_ENV) $(DL_WRAPPER) -b bzr \ $(EXTRA_ENV) $(DL_WRAPPER) -b bzr \
-o $(DL_DIR)/$($(PKG)_SOURCE) \ -o $(DL_DIR)/$($(PKG)_SOURCE) \
-H $(PKGDIR)/$($(PKG)_RAWNAME).hash \ -H $(PKGDIR)/$($(PKG)_RAWNAME).hash \
$(QUIET) \
-- \ -- \
$($(PKG)_SITE) \ $($(PKG)_SITE) \
$($(PKG)_DL_VERSION) \ $($(PKG)_DL_VERSION) \
@ -127,6 +129,7 @@ define DOWNLOAD_CVS
$(EXTRA_ENV) $(DL_WRAPPER) -b cvs \ $(EXTRA_ENV) $(DL_WRAPPER) -b cvs \
-o $(DL_DIR)/$($(PKG)_SOURCE) \ -o $(DL_DIR)/$($(PKG)_SOURCE) \
-H $(PKGDIR)/$($(PKG)_RAWNAME).hash \ -H $(PKGDIR)/$($(PKG)_RAWNAME).hash \
$(QUIET) \
-- \ -- \
$(call stripurischeme,$(call qstrip,$($(PKG)_SITE))) \ $(call stripurischeme,$(call qstrip,$($(PKG)_SITE))) \
$($(PKG)_DL_VERSION) \ $($(PKG)_DL_VERSION) \
@ -147,6 +150,7 @@ define DOWNLOAD_SVN
$(EXTRA_ENV) $(DL_WRAPPER) -b svn \ $(EXTRA_ENV) $(DL_WRAPPER) -b svn \
-o $(DL_DIR)/$($(PKG)_SOURCE) \ -o $(DL_DIR)/$($(PKG)_SOURCE) \
-H $(PKGDIR)/$($(PKG)_RAWNAME).hash \ -H $(PKGDIR)/$($(PKG)_RAWNAME).hash \
$(QUIET) \
-- \ -- \
$($(PKG)_SITE) \ $($(PKG)_SITE) \
$($(PKG)_DL_VERSION) \ $($(PKG)_DL_VERSION) \
@ -168,6 +172,7 @@ define DOWNLOAD_SCP
$(EXTRA_ENV) $(DL_WRAPPER) -b scp \ $(EXTRA_ENV) $(DL_WRAPPER) -b scp \
-o $(DL_DIR)/$(2) \ -o $(DL_DIR)/$(2) \
-H $(PKGDIR)/$($(PKG)_RAWNAME).hash \ -H $(PKGDIR)/$($(PKG)_RAWNAME).hash \
$(QUIET) \
-- \ -- \
'$(call stripurischeme,$(call qstrip,$(1)))' '$(call stripurischeme,$(call qstrip,$(1)))'
endef endef
@ -185,6 +190,7 @@ define DOWNLOAD_HG
$(EXTRA_ENV) $(DL_WRAPPER) -b hg \ $(EXTRA_ENV) $(DL_WRAPPER) -b hg \
-o $(DL_DIR)/$($(PKG)_SOURCE) \ -o $(DL_DIR)/$($(PKG)_SOURCE) \
-H $(PKGDIR)/$($(PKG)_RAWNAME).hash \ -H $(PKGDIR)/$($(PKG)_RAWNAME).hash \
$(QUIET) \
-- \ -- \
$($(PKG)_SITE) \ $($(PKG)_SITE) \
$($(PKG)_DL_VERSION) \ $($(PKG)_DL_VERSION) \
@ -206,6 +212,7 @@ define DOWNLOAD_WGET
$(EXTRA_ENV) $(DL_WRAPPER) -b wget \ $(EXTRA_ENV) $(DL_WRAPPER) -b wget \
-o $(DL_DIR)/$(2) \ -o $(DL_DIR)/$(2) \
-H $(PKGDIR)/$($(PKG)_RAWNAME).hash \ -H $(PKGDIR)/$($(PKG)_RAWNAME).hash \
$(QUIET) \
-- \ -- \
'$(call qstrip,$(1))' '$(call qstrip,$(1))'
endef endef
@ -222,6 +229,7 @@ define DOWNLOAD_LOCALFILES
$(EXTRA_ENV) $(DL_WRAPPER) -b cp \ $(EXTRA_ENV) $(DL_WRAPPER) -b cp \
-o $(DL_DIR)/$(2) \ -o $(DL_DIR)/$(2) \
-H $(PKGDIR)/$($(PKG)_RAWNAME).hash \ -H $(PKGDIR)/$($(PKG)_RAWNAME).hash \
$(QUIET) \
-- \ -- \
$(call stripurischeme,$(call qstrip,$(1))) $(call stripurischeme,$(call qstrip,$(1)))
endef endef

View File

@ -21,15 +21,16 @@ set -e
main() { main() {
local OPT OPTARG local OPT OPTARG
local backend output hfile local backend output hfile quiet
# Parse our options; anything after '--' is for the backend # Parse our options; anything after '--' is for the backend
while getopts :hb:o:H: OPT; do while getopts :hb:o:H:q OPT; do
case "${OPT}" in case "${OPT}" in
h) help; exit 0;; h) help; exit 0;;
b) backend="${OPTARG}";; b) backend="${OPTARG}";;
o) output="${OPTARG}";; o) output="${OPTARG}";;
H) hfile="${OPTARG}";; H) hfile="${OPTARG}";;
q) quiet="-q";;
:) error "option '%s' expects a mandatory argument\n" "${OPTARG}";; :) error "option '%s' expects a mandatory argument\n" "${OPTARG}";;
\?) error "unknown option '%s'\n" "${OPTARG}";; \?) error "unknown option '%s'\n" "${OPTARG}";;
esac esac
@ -49,11 +50,11 @@ main() {
# If the output file already exists, do not download it again # If the output file already exists, do not download it again
if [ -e "${output}" ]; then if [ -e "${output}" ]; then
if support/download/check-hash "${hfile}" "${output}" "${output##*/}"; then if support/download/check-hash ${quiet} "${hfile}" "${output}" "${output##*/}"; then
exit 0 exit 0
fi fi
rm -f "${output}" rm -f "${output}"
printf "Re-downloading '%s'...\n" "${output##*/}" warn "Re-downloading '%s'...\n" "${output##*/}"
fi fi
# tmpd is a temporary directory in which backends may store intermediate # tmpd is a temporary directory in which backends may store intermediate
@ -75,7 +76,7 @@ main() {
# If the backend fails, we can just remove the temporary directory to # If the backend fails, we can just remove the temporary directory to
# remove all the cruft it may have left behind. Then we just exit in # remove all the cruft it may have left behind. Then we just exit in
# error too. # error too.
if ! "${OLDPWD}/support/download/${backend}" "${tmpf}" "${@}"; then if ! "${OLDPWD}/support/download/${backend}" ${quiet} "${tmpf}" "${@}"; then
rm -rf "${tmpd}" rm -rf "${tmpd}"
exit 1 exit 1
fi fi
@ -85,7 +86,7 @@ main() {
# Check if the downloaded file is sane, and matches the stored hashes # Check if the downloaded file is sane, and matches the stored hashes
# for that file # for that file
if ! support/download/check-hash "${hfile}" "${tmpf}" "${output##*/}"; then if ! support/download/check-hash ${quiet} "${hfile}" "${tmpf}" "${output##*/}"; then
rm -rf "${tmpd}" rm -rf "${tmpd}"
exit 1 exit 1
fi fi